Retrieves the job approval with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

job_approval
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of jobs

globally unique identifier

Required

user_id

Foreign key, user that makes the approval

globally unique identifier

Required

ready_for_multi_approval

Inform if this is a temp approval prepared for a future approval with the customer (multi approval)

boolean
is_daily_approval

Intermediate approval of full approval

boolean
contact_id

Foreign key of contact, that signed the approval

globally unique identifier
contact_name

Contact fullname that sign the approval if not already exists

string

Max length: 255

customer_remarks

Remarks of the customer during the approval

string

Max length: 4000

date_generated

Local Date+Time of the approval generation

date
additional_email

Additional emails that should receive the approval pdf

string

Max length: 4000

is_signed

Inform if a signature is available (cf db_signature)

boolean
job_status_id

Job Status that will be used to alter the jobs (WaitingFurtherAction,Completed)

globally unique identifier
rating

Rating (0,5) the quality of the jobs

integer
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "10cf96b3-7816-4a02-a319-9f09e7a89c0e",
  "jobs_id": "2f3d311a-3e5e-4f60-9069-3c3f546309ee",
  "user_id": "adc8b618-0662-4047-a274-9a161b9144c5",
  "ready_for_multi_approval": true,
  "is_daily_approval": true,
  "contact_id": "220ad21e-23e9-4296-b6a5-68f9e61c463f",
  "contact_name": "sample string 7",
  "customer_remarks": "sample string 8",
  "date_generated": "2026-11-22T19:10:06.7957624+00:00",
  "additional_email": "sample string 10",
  "is_signed": true,
  "job_status_id": "863aa700-5e8c-40dc-ae14-a7ddfd9ef31d",
  "rating": 13,
  "modified_dateutc": "2026-11-22T19:10:06.7957624+00:00"
}